using System;

internal sealed class Delegate821 : MulticastDelegate
{
	public extern object Invoke(Type type_0, sbyte sbyte_0);

	public static object smethod_0(Type type_0, sbyte sbyte_0, Delegate821 delegate821_0)
	{
		return delegate821_0(type_0, sbyte_0);
	}

	public extern Delegate821(object object_0, IntPtr intptr_0);

	static Delegate821()
	{
		Class10.smethod_13(typeof(Delegate821).TypeHandle);
	}

	internal static Delegate821 sHbnqueTwp;
}
